Index: /code/branches/gamestate/data/gui/schemes/TaharezGreenHUDWidgets.scheme
===================================================================
--- /code/branches/gamestate/data/gui/schemes/TaharezGreenHUDWidgets.scheme	(revision 6572)
+++ /code/branches/gamestate/data/gui/schemes/TaharezGreenHUDWidgets.scheme	(revision 6572)
@@ -0,0 +1,42 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="TaharezGreenHUDWidgets">
+    <WindowAlias Alias="HUDWidgets/StaticImage"              Target="TaharezGreenLook/StaticImage" />
+    <WindowAlias Alias="HUDWidgets/StaticText"               Target="TaharezGreenLook/StaticText" />
+    <WindowAlias Alias="HUDWidgets/TabButtonPane"            Target="TaharezGreenLook/TabButtonPane" />
+    <WindowAlias Alias="HUDWidgets/TabContentPane"           Target="TaharezGreenLook/TabContentPane" />
+    <WindowAlias Alias="HUDWidgets/Checkbox"                 Target="TaharezGreenLook/Checkbox" />
+    <WindowAlias Alias="HUDWidgets/Combobox"                 Target="TaharezGreenLook/Combobox" />
+    <WindowAlias Alias="HUDWidgets/ComboDropList"            Target="TaharezGreenLook/ComboDropList" />
+    <WindowAlias Alias="HUDWidgets/ComboEditbox"             Target="TaharezGreenLook/ComboEditbox" />
+    <WindowAlias Alias="HUDWidgets/Editbox"                  Target="TaharezGreenLook/Editbox" />
+    <WindowAlias Alias="HUDWidgets/FrameWindow"              Target="TaharezGreenLook/FrameWindow" />
+    <WindowAlias Alias="HUDWidgets/GroupBox"                 Target="TaharezGreenLook/GroupBox" />
+    <WindowAlias Alias="HUDWidgets/ItemListbox"              Target="TaharezGreenLook/ItemListbox" />
+    <WindowAlias Alias="HUDWidgets/ListboxItem"              Target="TaharezGreenLook/ListboxItem" />
+    <WindowAlias Alias="HUDWidgets/Listbox"                  Target="TaharezGreenLook/Listbox" />
+    <WindowAlias Alias="HUDWidgets/ListHeader"               Target="TaharezGreenLook/ListHeader" />
+    <WindowAlias Alias="HUDWidgets/ListHeaderSegment"        Target="TaharezGreenLook/ListHeaderSegment" />
+    <WindowAlias Alias="HUDWidgets/MultiLineEditbox"         Target="TaharezGreenLook/MultiLineEditbox" />
+    <WindowAlias Alias="HUDWidgets/Menubar"                  Target="TaharezGreenLook/Menubar" />
+    <WindowAlias Alias="HUDWidgets/MenuItem"                 Target="TaharezGreenLook/MenuItem" />
+    <WindowAlias Alias="HUDWidgets/MultiColumnList"          Target="TaharezGreenLook/MultiColumnList" />
+    <WindowAlias Alias="HUDWidgets/PopupMenu"                Target="TaharezGreenLook/PopupMenu" />
+    <WindowAlias Alias="HUDWidgets/ProgressBar"              Target="TaharezGreenLook/ProgressBar" />
+    <WindowAlias Alias="HUDWidgets/Button"                   Target="TaharezGreenLook/Button" />
+    <WindowAlias Alias="HUDWidgets/ImageButton"              Target="TaharezGreenLook/ImageButton" />
+    <WindowAlias Alias="HUDWidgets/RadioButton"              Target="TaharezGreenLook/RadioButton" />
+    <WindowAlias Alias="HUDWidgets/SystemButton"             Target="TaharezGreenLook/SystemButton" />
+    <WindowAlias Alias="HUDWidgets/ScrollablePane"           Target="TaharezGreenLook/ScrollablePane" />
+    <WindowAlias Alias="HUDWidgets/HorizontalScrollbar"      Target="TaharezGreenLook/HorizontalScrollbar" />
+    <WindowAlias Alias="HUDWidgets/VerticalScrollbar"        Target="TaharezGreenLook/VerticalScrollbar" />
+    <WindowAlias Alias="HUDWidgets/Slider"                   Target="TaharezGreenLook/Slider" />
+    <WindowAlias Alias="HUDWidgets/Spinner"                  Target="TaharezGreenLook/Spinner" />
+    <WindowAlias Alias="HUDWidgets/TabButton"                Target="TaharezGreenLook/TabButton" />
+    <WindowAlias Alias="HUDWidgets/TabControl"               Target="TaharezGreenLook/TabControl" />
+    <WindowAlias Alias="HUDWidgets/HorizontalScrollbarThumb" Target="TaharezGreenLook/HorizontalScrollbarThumb" />
+    <WindowAlias Alias="HUDWidgets/SliderThumb"              Target="TaharezGreenLook/SliderThumb" />
+    <WindowAlias Alias="HUDWidgets/VerticalScrollbarThumb"   Target="TaharezGreenLook/VerticalScrollbarThumb" />
+    <WindowAlias Alias="HUDWidgets/Titlebar"                 Target="TaharezGreenLook/Titlebar" />
+    <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="TaharezGreenLook/Tooltip" />
+    <WindowAlias Alias="HUDWidgets/Tree"                     Target="TaharezGreenLook/Tree" />
+</GUIScheme>
Index: /code/branches/gamestate/data/gui/schemes/TaharezGreenLook.scheme
===================================================================
--- /code/branches/gamestate/data/gui/schemes/TaharezGreenLook.scheme	(revision 6572)
+++ /code/branches/gamestate/data/gui/schemes/TaharezGreenLook.scheme	(revision 6572)
@@ -0,0 +1,53 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="TaharezGreenLook">
+	<Imageset Name="TaharezGreenLook" Filename="TaharezGreenLook.imageset" />
+	<LookNFeel Filename="TaharezGreenLook.looknfeel" />
+	<WindowRendererSet Filename="CEGUIFalagardWRBase" />
+
+    <!-- Standard widgets -->
+    <FalagardMapping WindowType="TaharezGreenLook/StaticImage"              TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="TaharezGreenLook/StaticImage" />
+    <FalagardMapping WindowType="TaharezGreenLook/StaticText"               TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="TaharezGreenLook/StaticText" />
+    <FalagardMapping WindowType="TaharezGreenLook/TabButtonPane"            TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezGreenLook/TabButtonPane" />
+    <FalagardMapping WindowType="TaharezGreenLook/TabContentPane"           TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezGreenLook/TabContentPane" />
+    <FalagardMapping WindowType="TaharezGreenLook/Checkbox"                 TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="TaharezGreenLook/Checkbox" />
+    <FalagardMapping WindowType="TaharezGreenLook/Combobox"                 TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="TaharezGreenLook/Combobox" />
+    <FalagardMapping WindowType="TaharezGreenLook/ComboDropList"            TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="TaharezGreenLook/ComboDropList" />
+    <FalagardMapping WindowType="TaharezGreenLook/ComboEditbox"             TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezGreenLook/ComboEditbox" />
+    <FalagardMapping WindowType="TaharezGreenLook/Editbox"                  TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezGreenLook/Editbox" />
+    <FalagardMapping WindowType="TaharezGreenLook/FrameWindow"              TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="TaharezGreenLook/FrameWindow" />
+    <FalagardMapping WindowType="TaharezGreenLook/GroupBox"                 TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="TaharezGreenLook/GroupBox" />
+    <FalagardMapping WindowType="TaharezGreenLook/ItemListbox"              TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="TaharezGreenLook/ItemListbox" />
+    <FalagardMapping WindowType="TaharezGreenLook/ListboxItem"              TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="TaharezGreenLook/ListboxItem" />
+    <FalagardMapping WindowType="TaharezGreenLook/Listbox"                  TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="TaharezGreenLook/Listbox" />
+    <FalagardMapping WindowType="TaharezGreenLook/ListHeader"               TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="TaharezGreenLook/ListHeader" />
+    <FalagardMapping WindowType="TaharezGreenLook/ListHeaderSegment"        TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="TaharezGreenLook/ListHeaderSegment" />
+    <FalagardMapping WindowType="TaharezGreenLook/MultiLineEditbox"         TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="TaharezGreenLook/MultiLineEditbox" />
+    <FalagardMapping WindowType="TaharezGreenLook/Menubar"                  TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="TaharezGreenLook/Menubar" />
+    <FalagardMapping WindowType="TaharezGreenLook/MenuItem"                 TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="TaharezGreenLook/MenuItem" />
+    <FalagardMapping WindowType="TaharezGreenLook/MultiColumnList"          TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="TaharezGreenLook/MultiColumnList" />
+    <FalagardMapping WindowType="TaharezGreenLook/PopupMenu"                TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="TaharezGreenLook/PopupMenu" />
+    <FalagardMapping WindowType="TaharezGreenLook/ProgressBar"              TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezGreenLook/ProgressBar" />
+    <FalagardMapping WindowType="TaharezGreenLook/Button"                   TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/Button" />
+    <FalagardMapping WindowType="TaharezGreenLook/ImageButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/ImageButton" />
+    <FalagardMapping WindowType="TaharezGreenLook/RadioButton"              TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="TaharezGreenLook/RadioButton" />
+    <FalagardMapping WindowType="TaharezGreenLook/SystemButton"             TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="TaharezGreenLook/Button" />
+    <FalagardMapping WindowType="TaharezGreenLook/ScrollablePane"           TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="TaharezGreenLook/ScrollablePane" />
+    <FalagardMapping WindowType="TaharezGreenLook/HorizontalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezGreenLook/HorizontalScrollbar" />
+    <FalagardMapping WindowType="TaharezGreenLook/VerticalScrollbar"        TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezGreenLook/VerticalScrollbar" />
+    <FalagardMapping WindowType="TaharezGreenLook/Slider"                   TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="TaharezGreenLook/Slider" />
+    <FalagardMapping WindowType="TaharezGreenLook/Spinner"                  TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="TaharezGreenLook/Spinner" />
+    <FalagardMapping WindowType="TaharezGreenLook/TabButton"                TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="TaharezGreenLook/TabButton" />
+    <FalagardMapping WindowType="TaharezGreenLook/TabControl"               TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="TaharezGreenLook/TabControl" />
+    <FalagardMapping WindowType="TaharezGreenLook/HorizontalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/HorizontalScrollbarThumb" />
+    <FalagardMapping WindowType="TaharezGreenLook/SliderThumb"              TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/SliderThumb" />
+    <FalagardMapping WindowType="TaharezGreenLook/VerticalScrollbarThumb"   TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/VerticalScrollbarThumb" />
+    <FalagardMapping WindowType="TaharezGreenLook/Titlebar"                 TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="TaharezGreenLook/Titlebar" />
+    <FalagardMapping WindowType="TaharezGreenLook/Tooltip"                  TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="TaharezGreenLook/Tooltip" />
+    <FalagardMapping WindowType="TaharezGreenLook/Tree"                     TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezGreenLook/Tree" />
+    
+    <!-- Additional widgets -->
+    <FalagardMapping WindowType="TaharezGreenLook/AlternateProgressBar"        TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezGreenLook/AltProgressBar" />
+    <FalagardMapping WindowType="TaharezGreenLook/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezGreenLook/VUMeter" />
+    <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezGreenLook/LargeVerticalScrollbar" />
+    <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/LargeVerticalScrollbarThumb" />
+</GUIScheme>
Index: /code/branches/gamestate/data/gui/schemes/TaharezGreenMenuWidgets.scheme
===================================================================
--- /code/branches/gamestate/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 6572)
+++ /code/branches/gamestate/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 6572)
@@ -0,0 +1,42 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="TaharezGreenMenuWidgets">
+    <WindowAlias Alias="MenuWidgets/StaticImage"              Target="TaharezGreenLook/StaticImage" />
+    <WindowAlias Alias="MenuWidgets/StaticText"               Target="TaharezGreenLook/StaticText" />
+    <WindowAlias Alias="MenuWidgets/TabButtonPane"            Target="TaharezGreenLook/TabButtonPane" />
+    <WindowAlias Alias="MenuWidgets/TabContentPane"           Target="TaharezGreenLook/TabContentPane" />
+    <WindowAlias Alias="MenuWidgets/Checkbox"                 Target="TaharezGreenLook/Checkbox" />
+    <WindowAlias Alias="MenuWidgets/Combobox"                 Target="TaharezGreenLook/Combobox" />
+    <WindowAlias Alias="MenuWidgets/ComboDropList"            Target="TaharezGreenLook/ComboDropList" />
+    <WindowAlias Alias="MenuWidgets/ComboEditbox"             Target="TaharezGreenLook/ComboEditbox" />
+    <WindowAlias Alias="MenuWidgets/Editbox"                  Target="TaharezGreenLook/Editbox" />
+    <WindowAlias Alias="MenuWidgets/FrameWindow"              Target="TaharezGreenLook/FrameWindow" />
+    <WindowAlias Alias="MenuWidgets/GroupBox"                 Target="TaharezGreenLook/GroupBox" />
+    <WindowAlias Alias="MenuWidgets/ItemListbox"              Target="TaharezGreenLook/ItemListbox" />
+    <WindowAlias Alias="MenuWidgets/ListboxItem"              Target="TaharezGreenLook/ListboxItem" />
+    <WindowAlias Alias="MenuWidgets/Listbox"                  Target="TaharezGreenLook/Listbox" />
+    <WindowAlias Alias="MenuWidgets/ListHeader"               Target="TaharezGreenLook/ListHeader" />
+    <WindowAlias Alias="MenuWidgets/ListHeaderSegment"        Target="TaharezGreenLook/ListHeaderSegment" />
+    <WindowAlias Alias="MenuWidgets/MultiLineEditbox"         Target="TaharezGreenLook/MultiLineEditbox" />
+    <WindowAlias Alias="MenuWidgets/Menubar"                  Target="TaharezGreenLook/Menubar" />
+    <WindowAlias Alias="MenuWidgets/MenuItem"                 Target="TaharezGreenLook/MenuItem" />
+    <WindowAlias Alias="MenuWidgets/MultiColumnList"          Target="TaharezGreenLook/MultiColumnList" />
+    <WindowAlias Alias="MenuWidgets/PopupMenu"                Target="TaharezGreenLook/PopupMenu" />
+    <WindowAlias Alias="MenuWidgets/ProgressBar"              Target="TaharezGreenLook/ProgressBar" />
+    <WindowAlias Alias="MenuWidgets/Button"                   Target="TaharezGreenLook/Button" />
+    <WindowAlias Alias="MenuWidgets/ImageButton"              Target="TaharezGreenLook/ImageButton" />
+    <WindowAlias Alias="MenuWidgets/RadioButton"              Target="TaharezGreenLook/RadioButton" />
+    <WindowAlias Alias="MenuWidgets/SystemButton"             Target="TaharezGreenLook/SystemButton" />
+    <WindowAlias Alias="MenuWidgets/ScrollablePane"           Target="TaharezGreenLook/ScrollablePane" />
+    <WindowAlias Alias="MenuWidgets/HorizontalScrollbar"      Target="TaharezGreenLook/HorizontalScrollbar" />
+    <WindowAlias Alias="MenuWidgets/VerticalScrollbar"        Target="TaharezGreenLook/VerticalScrollbar" />
+    <WindowAlias Alias="MenuWidgets/Slider"                   Target="TaharezGreenLook/Slider" />
+    <WindowAlias Alias="MenuWidgets/Spinner"                  Target="TaharezGreenLook/Spinner" />
+    <WindowAlias Alias="MenuWidgets/TabButton"                Target="TaharezGreenLook/TabButton" />
+    <WindowAlias Alias="MenuWidgets/TabControl"               Target="TaharezGreenLook/TabControl" />
+    <WindowAlias Alias="MenuWidgets/HorizontalScrollbarThumb" Target="TaharezGreenLook/HorizontalScrollbarThumb" />
+    <WindowAlias Alias="MenuWidgets/SliderThumb"              Target="TaharezGreenLook/SliderThumb" />
+    <WindowAlias Alias="MenuWidgets/VerticalScrollbarThumb"   Target="TaharezGreenLook/VerticalScrollbarThumb" />
+    <WindowAlias Alias="MenuWidgets/Titlebar"                 Target="TaharezGreenLook/Titlebar" />
+    <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="TaharezGreenLook/Tooltip" />
+    <WindowAlias Alias="MenuWidgets/Tree"                     Target="TaharezGreenLook/Tree" />
+</GUIScheme>
Index: /code/branches/gamestate/data/gui/scripts/InitialiseGUI.lua
===================================================================
--- /code/branches/gamestate/data/gui/scripts/InitialiseGUI.lua	(revision 6571)
+++ /code/branches/gamestate/data/gui/scripts/InitialiseGUI.lua	(revision 6572)
@@ -8,5 +8,6 @@
 
 -- Load all required skins
-schemeMgr:loadScheme("TaharezLook.scheme")
+schemeMgr:loadScheme("TaharezGreenLook.scheme")
+--schemeMgr:loadScheme("TaharezLook.scheme")
 --schemeMgr:loadScheme("WindowsLook.scheme")
 --schemeMgr:loadScheme("VanillaLook.scheme")
@@ -16,8 +17,8 @@
 -- By loading a different file (if there is) you can change the skin
 -- of the menus or the HUD independently
-schemeMgr:loadScheme("TaharezMenuWidgets.scheme")
-menuImageSet = "TaharezLook"
-schemeMgr:loadScheme("TaharezHUDWidgets.scheme")
-hudImageSet = "TaharezLook"
+schemeMgr:loadScheme("TaharezGreenMenuWidgets.scheme")
+menuImageSet = "TaharezGreenLook"
+schemeMgr:loadScheme("TaharezGreenHUDWidgets.scheme")
+hudImageSet = "TaharezGreenLook"
 
 -- Just a remaining test hack
